#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>
#include "syscall.h"

int
fauth(int fd, char *aname)
{
	Syscallmem *c;

	c = _getsyscallmem();
	strcpy((char*)(&c[1]), aname);
	c->arg[0] = fd;
	c->arg[1] = 0;
	c->nr = Sfauth;
	return _dosyscall(c);
}

